summaryrefslogtreecommitdiff
path: root/community/gimp-plugin-wavelet-denoise
diff options
context:
space:
mode:
authorroot <root@rshg054.dnsready.net>2013-08-13 01:33:19 -0700
committerroot <root@rshg054.dnsready.net>2013-08-13 01:33:19 -0700
commit7a65a910b77ad191d69881098c47f9b0c852d92e (patch)
tree9564e611af1442f8952a8cbddb3b0ad25ed71aab /community/gimp-plugin-wavelet-denoise
parent60da6abff6c9577a783d72865f11de7a585e912e (diff)
Tue Aug 13 01:31:08 PDT 2013
Diffstat (limited to 'community/gimp-plugin-wavelet-denoise')
-rw-r--r--community/gimp-plugin-wavelet-denoise/PKGBUILD32
-rw-r--r--community/gimp-plugin-wavelet-denoise/libm_buildfix.diff10
-rw-r--r--community/gimp-plugin-wavelet-denoise/po_install.diff21
3 files changed, 63 insertions, 0 deletions
diff --git a/community/gimp-plugin-wavelet-denoise/PKGBUILD b/community/gimp-plugin-wavelet-denoise/PKGBUILD
new file mode 100644
index 000000000..9e17c8bfe
--- /dev/null
+++ b/community/gimp-plugin-wavelet-denoise/PKGBUILD
@@ -0,0 +1,32 @@
+# $Id: PKGBUILD 64853 2012-02-18 18:05:29Z stativ $
+# Maintainer: Lukas Jirkovsky <l.jirkovsky@gmail.com>
+pkgname=gimp-plugin-wavelet-denoise
+pkgver=0.3.1
+pkgrel=2
+pkgdesc="Tool to reduce noise in each channel of an image separately"
+arch=('i686' 'x86_64')
+url="http://registry.gimp.org/node/4235"
+license=('GPL')
+depends=('gimp')
+source=(http://registry.gimp.org/files/wavelet-denoise-$pkgver.tar.gz \
+ po_install.diff libm_buildfix.diff)
+md5sums=('a02862026857575cdf81b24477e42f4b'
+ '4de9e41a535f200c2502f0dd8458c43e'
+ '46940ecd5970bc4b0d4b38de89f8efbf')
+
+build() {
+ cd "$srcdir/wavelet-denoise-$pkgver"
+
+ patch -Np1 < ../po_install.diff || true
+ patch -Np1 < ../libm_buildfix.diff || true
+ make
+}
+
+package() {
+ cd "$srcdir/wavelet-denoise-$pkgver"
+
+ install -Dvm755 src/wavelet-denoise \
+ "$pkgdir"/usr/lib/gimp/2.0/plug-ins/wavelet-denoise
+ cd po
+ make LOCALEDIR="$pkgdir"/usr/share/locale install
+}
diff --git a/community/gimp-plugin-wavelet-denoise/libm_buildfix.diff b/community/gimp-plugin-wavelet-denoise/libm_buildfix.diff
new file mode 100644
index 000000000..4a832a69b
--- /dev/null
+++ b/community/gimp-plugin-wavelet-denoise/libm_buildfix.diff
@@ -0,0 +1,10 @@
+diff -rup wavelet-denoise-0.3.1/src/Makefile wavelet-denoise-0.3.1.new/src/Makefile
+--- wavelet-denoise-0.3.1/src/Makefile 2008-12-14 12:19:28.000000000 +0100
++++ wavelet-denoise-0.3.1.new/src/Makefile 2012-02-18 19:01:22.264677086 +0100
+@@ -1,5 +1,5 @@
+ CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
+-LIBS = $(shell gimptool-2.0 --libs)
++LIBS = -lm $(shell gimptool-2.0 --libs)
+ PLUGIN = wavelet-denoise
+ SOURCES = plugin.c colorspace.c denoise.c wavelet.c events.c interface.c
+ HEADERS = plugin.h interface.h messages.h
diff --git a/community/gimp-plugin-wavelet-denoise/po_install.diff b/community/gimp-plugin-wavelet-denoise/po_install.diff
new file mode 100644
index 000000000..4b6d1a9fe
--- /dev/null
+++ b/community/gimp-plugin-wavelet-denoise/po_install.diff
@@ -0,0 +1,21 @@
+diff -c -r wavelet-denoise-0.3/po/Makefile wavelet-denoise-0.3-new/po/Makefile
+*** wavelet-denoise-0.3/po/Makefile 2008-12-14 12:19:22.000000000 +0100
+--- wavelet-denoise-0.3-new/po/Makefile 2008-12-20 14:57:51.000000000 +0100
+***************
+*** 24,30 ****
+
+ install: $(LANGUAGES)
+ for L in $(LANGUAGES); \
+! do install -v -m 0644 $$L.mo "$(LOCALEDIR)/$$L/LC_MESSAGES/gimp20-$(PLUGIN)-plug-in.mo"; \
+ done
+
+ uninstall: $(LANGUAGES)
+--- 24,31 ----
+
+ install: $(LANGUAGES)
+ for L in $(LANGUAGES); \
+! do mkdir -p "$(LOCALEDIR)/$$L/LC_MESSAGES"; \
+! install -v -m 0644 $$L.mo "$(LOCALEDIR)/$$L/LC_MESSAGES/gimp20-$(PLUGIN)-plug-in.mo"; \
+ done
+
+ uninstall: $(LANGUAGES)